OpenCV: cvflann::DynamicBitset Class Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | List of all members
cvflann::DynamicBitset Class Reference

`#include "dynamic_bitset.h"`

## Public Member Functions
| DynamicBitset ()
| DynamicBitset (size_t sz)
void | clear ()
bool | empty () const
| checks if the bitset is empty More...
void | reset ()
void | reset (size_t index)
| set one bit to 0 More...
void | reset_block (size_t index)
| sets a specific bit to 0, and more bits too This function is useful when resetting a given set of bits so that the whole bitset ends up being 0: if that's the case, we don't care about setting other bits to 0 More...
void | resize (size_t sz)
void | set (size_t index)
size_t | size () const
bool | test (size_t index) const

## Detailed Description

Class re-implementing the boost version of it This helps not depending on boost, it also does not do the bound checks and has a way to reset a block for speed

## Constructor & Destructor Documentation

## ◆ DynamicBitset() [1/2]

cvflann::DynamicBitset::DynamicBitset | ( |  | ) |
| inline

default constructor

## ◆ DynamicBitset() [2/2]

cvflann::DynamicBitset::DynamicBitset | ( | size_t | sz | ) |
| inline

only constructor we use in our code

Parameters

  sz | the size of the bitset (in bits)

## Member Function Documentation

## ◆ clear()

void cvflann::DynamicBitset::clear | ( |  | ) |
| inline

Sets all the bits to 0

## ◆ empty()

bool cvflann::DynamicBitset::empty | ( |  | ) | const
| inline

checks if the bitset is empty

Returns
  true if the bitset is empty

## ◆ reset() [1/2]

void cvflann::DynamicBitset::reset | ( |  | ) |
| inline

set all the bits to 0

## ◆ reset() [2/2]

void cvflann::DynamicBitset::reset | ( | size_t | index | ) |
| inline

set one bit to 0

Parameters

  index |

## ◆ reset_block()

void cvflann::DynamicBitset::reset_block | ( | size_t | index | ) |
| inline

sets a specific bit to 0, and more bits too This function is useful when resetting a given set of bits so that the whole bitset ends up being 0: if that's the case, we don't care about setting other bits to 0

Parameters

  index |

## ◆ resize()

void cvflann::DynamicBitset::resize | ( | size_t | sz | ) |
| inline

resize the bitset so that it contains at least sz bits

Parameters

  sz |

## ◆ set()

void cvflann::DynamicBitset::set | ( | size_t | index | ) |
| inline

set a bit to true

Parameters

  index | the index of the bit to set to 1

## ◆ size()

size_t cvflann::DynamicBitset::size | ( |  | ) | const
| inline

gives the number of contained bits

## ◆ test()

bool cvflann::DynamicBitset::test | ( | size_t | index | ) | const
| inline

check if a bit is set

Parameters

  index | the index of the bit to check

Returns
  true if the bit is set

The documentation for this class was generated from the following file:

- flann/include/opencv2/flann/dynamic_bitset.h